Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000442Core InformPhrases and functional programmingpublic2010-11-29 09:592014-05-07 07:34
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6F95 
Target VersionFixed in Version6L02 
Summary0000442: Spurious comma in generated I6
DescriptionNot sure if it's important. The generated I6 contains this line:

- - - -
Prop_25(,t_0, (HolderOf(t_0)) );
- - - -

with an unexpected comma after the first open parenthesis (which the I6 compiler seems to ignore).
Minimal Source Text To Reproduce
There is a room.
To dump (surface - a supporter):
	now everything on the surface is in the holder of the surface.
Tagswrongeffect
Effect(cosmetic) Index is created incorrectly
Attached Files

- Relationships

-  Notes
(0001361)
graham (administrator)
2011-10-15 01:19

It's an interesting question whether something completely invisible can have a cosmetic flaw - if my pancreas is off-colour today, is that a cosmetic issue? - but I've fixed this anyway.

- Issue History
Date Modified Username Field Change
2010-11-29 09:59 EmacsUser New Issue
2010-11-29 09:59 EmacsUser Tag Attached: wrongeffect
2010-11-29 10:45 jmcgrew Status new => acknowledged
2010-11-30 01:56 jmcgrew Status acknowledged => confirmed
2011-10-15 01:19 graham Note Added: 0001361
2011-10-15 01:19 graham Status confirmed => resolved
2011-10-15 01:19 graham Resolution open => fixed
2011-10-15 01:19 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker